<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_b3c41e1a23acddba8" . "d88628b0c8be714" => base64_decode("I2ZvbGR" . "lci54bW" . "w="), "folder_i" . "d" => base64_decode("Zm9s" . "ZGVy" . "X2lk"), "_afba92605727c2a761" . "7e50cebc1a0594" => base64_decode("I3N1YmZvbGRl" . "cnMueG1s"));
class DocsBackupFolderImporter extends DocsImportFolderImporter
{
    protected function ImportChildrenFolders($path, $_a4b4fe29a876bd36f8024f56a625bf4c)
    {
        $_24ca62b4d01cc6d515dfd0bea4c9d59a = $this->filesystem->GetDirectoryContent($path, false);
        if ($this->filesystem->IsFile($path . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_afba92605727" . "c2a7617e50ceb" . "c1a0594"])) {
            $_7ae53c1805bee4bef8efe43edd7487ef = new SimpleXMLElement($this->filesystem->FileGetContents($path . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_afba92605727c2a7617e50c" . "ebc1a0594"]));
            if (isset($_7ae53c1805bee4bef8efe43edd7487ef->subfolders->folder)) {
                foreach ($_7ae53c1805bee4bef8efe43edd7487ef->subfolders->folder as $_c0b5ce05fcf0028a558d94deb4d5d733) {
                    $_f6e11c6de8ac3f045a4c8b1f0e39fdc1 = $this->filesystem->AddTrailingSlash($path) . $_c0b5ce05fcf0028a558d94deb4d5d733[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["folder_i" . "d"]];
                    if ($this->filesystem->IsFileExist($_f6e11c6de8ac3f045a4c8b1f0e39fdc1, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b3c41e1a" . "23acddba8" . "d88628b0c" . "8be714"])) {
                        $this->Import($_a4b4fe29a876bd36f8024f56a625bf4c, $this->filesystem->AddTrailingSlash($_f6e11c6de8ac3f045a4c8b1f0e39fdc1) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b3c41e1a23acddba8d88628" . "b0c8be714"], $_f6e11c6de8ac3f045a4c8b1f0e39fdc1, false, false);
                    }
                }
            }
        }
        return true;
    }
}